Skip to main content

Save StorageGRID credentials

Saves the StorageGRID credentials, enabling authentication for accessing StorageGRID resources. Use this to securely store credentials for integration with Backup and Recovery workflows.

HTTP method and endpoint

POST /account/{accountId}/providers/cloudmanager_cbs/api/v1/sg/credentials/working-environment/{workingEnvironmentId}

Usage notes

Saves the StorageGRID credentials.Token usage: NetApp Console user token.

Parameters

Name Type In Required Description

accountId

string

path

True

Account ID

workingEnvironmentId

string

path

True

System ID

authorization

string

header

True

User token

X-Agent-Id

string

header

True

Request identifier

Request Body

Name Type Required Description

storage-server

string

True

StorageGRID server URL. Required input field for a StorageGRID provider

access-key

string

True

Required input field for an on-premises use case

secret-password

string

True

Required input field for an on-premises use case

Example request
{
  "storage-server": "string",
  "access-key": "string",
  "secret-password": "string"
}

Response

Status: 200, Default response